net.sf.statsvn.util

## Interface ISvnProcessor

All Known Implementing Classes:
  SvnCommandLineProcessor, SvnKitProcessor

    public interface ISvnProcessor

Interface for a base processor. Includes sub processors.

Author:
  jkealey

### Method Summary

Methods
`ISvnDiffProcessor` `getDiffProcessor()`
`ISvnInfoProcessor` `getInfoProcessor()`
`ISvnPropgetProcessor` `getPropgetProcessor()`
`ISvnVersionProcessor` `getVersionProcessor()`

### Method Detail

#### getDiffProcessor

    ISvnDiffProcessor getDiffProcessor()

#### getInfoProcessor

    ISvnInfoProcessor getInfoProcessor()

#### getPropgetProcessor

    ISvnPropgetProcessor getPropgetProcessor()

#### getVersionProcessor

    ISvnVersionProcessor getVersionProcessor()